Subject: bug#50113: closed (Re: bug#50113: Excorporate: Communicating with domain that requires SSO?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 May 2023 21:16:02 +0000

Your bug report

#50113: Excorporate: Communicating with domain that requires SSO?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50113: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50113
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50113: Excorporate: Communicating with domain that requires SSO?
From: Thomas Fitzsimmons <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: Justin Abrahms <[email-masked]>, [email-masked]
Date: Thu, 11 May 2023 17:15:42 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Lars Ingebrigtsen <[email-masked]> writes:

> Thomas Fitzsimmons <[email-masked]> writes:
>
>> I do see a way forward for implementing this, at least the parts that
>> Emacs can control, so let's leave this open.
>
> Great!

Excorporate 1.1.0, with OAuth 2.0 support, is now available on GNU ELPA.
I'm closing this bug report.  Please test the new release and create new
bug reports if necessary.

Thomas

Subject: Excorporate: Communicating with domain that requires SSO?
From: "Justin Abrahms" <[email-masked]>
To: [email-masked]
Date: Wed, 18 Aug 2021 11:55:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi. 

I'm trying to setup excorporate for my new job. In looking at the outlook client that came pre-installed on my PC, I see that our EWS url uses outlook365. This is the error I see in my *Messages* buffer:

Contacting host: outlook.office365.com:443
error in process filter: exco--parse-xml-in-current-buffer: Server response is not an XML document
error in process filter: Server response is not an XML document

When looking at *URL-DEBUG*, I see that it's being redirected to my company's SSO endpoint. In looking around the docs & internet, I'm not seeing how others deal with needing to do SSO, so I'm reaching out here in hopes someone has ideas.

Thanks,
 -justin